> For the complete documentation index, see [llms.txt](https://docs.ozurapay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ozurapay.com/reference/api-reference/creating-a-user.md).

# Creating a user

## Creating a merchant account

## Create sign up request.

<mark style="color:green;">`POST`</mark> `https://api.ozurapay.com/users/register-merchant`

Creates a new merchant registration and sends back bearer token.

#### Request Body

| Name                                    | Type   | Description                      |
| --------------------------------------- | ------ | -------------------------------- |
| email<mark style="color:red;">\*</mark> | string | Email of new merchant account    |
| password                                | string | Password of new merchant account |
| name                                    | string | Name of account holder           |
| phoneNo                                 | string | Business phone number            |
| businessName                            | string | Entity name                      |
| website                                 | string | Business site                    |

{% tabs %}
{% tab title="200 Login successfully created" %}

```javascript
{
    "data": {
        "id": "6690m187f80461a95af20f2c",
        "name": "John Doe",
        "email": "jdoe@ozurapay.com",
        "role": "merchant",
        "token": "eyPnoGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjY2OTBiNDg3ZjgwNDYxYTk1YWYyMGYyYyIsIm5hbWUiOiJkYmZkZmcgYmRmYmRmYiIsImVtYWlsIjoieXVnZXNuQG96dXJhcGF5LmNvbSIsInJvbGUiOiJtZXJjaGFudCIsImlhdCI6MTcyMDc1OTQzMiwiZXhwIjoxNzIxNjIzNDMyfQ.ol_qh3zXr-uGmBzgZmS8A5yN-SxLtXlijFEsjOdgYew",
        "depositAddress": "0xM99220EE1496A532eBdF7c7A4D40cbAD8C8D0BCF"
    },
    "code": 200,
    "message": "Merchant successfully registered"
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Good to know:** You can either create your account using dashboard.ozurapay.com or use above API.
{% endhint %}

## Creating a payment widget


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ozurapay.com/reference/api-reference/creating-a-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
